summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-02-07 09:46:28 +0100
committerMichał Górny <mgorny@gentoo.org>2020-02-09 17:10:27 +0100
commit2f3ce1d698a5709fc5e9d5e62c9110cd266a213f (patch)
tree4ec1320ced1aa2016a8095374eb74787a84199ab /app-accessibility/orca
parentscons-utils.eclass: Migrate to PYTHON_MULTI_USEDEP (diff)
downloadgentoo-2f3ce1d698a5709fc5e9d5e62c9110cd266a213f.tar.gz
gentoo-2f3ce1d698a5709fc5e9d5e62c9110cd266a213f.tar.bz2
gentoo-2f3ce1d698a5709fc5e9d5e62c9110cd266a213f.zip
app-accessibility/orca: Switch to PYTHON_MULTI_USEDEP API
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'app-accessibility/orca')
-rw-r--r--app-accessibility/orca/orca-3.32.0-r1.ebuild (renamed from app-accessibility/orca/orca-3.32.0.ebuild)21
1 files changed, 14 insertions, 7 deletions
diff --git a/app-accessibility/orca/orca-3.32.0.ebuild b/app-accessibility/orca/orca-3.32.0-r1.ebuild
index f5dff9cf8b0..052a2b319bd 100644
--- a/app-accessibility/orca/orca-3.32.0.ebuild
+++ b/app-accessibility/orca/orca-3.32.0-r1.ebuild
@@ -23,19 +23,26 @@ COMMON_DEPEND="${PYTHON_DEPS}
>=app-accessibility/at-spi2-core-2.32:2[introspection]
>=dev-libs/atk-2.32
>=dev-libs/glib-2.28:2
- dev-python/gst-python:1.0[${PYTHON_USEDEP}]
- >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
media-libs/gstreamer:1.0[introspection]
>=x11-libs/gtk+-3.6.2:3[introspection]
+ $(python_gen_cond_dep '
+ dev-python/gst-python:1.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygobject-3.18:3[${PYTHON_MULTI_USEDEP}]
+ ')
braille? (
- >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
- dev-libs/liblouis[python,${PYTHON_USEDEP}] )
+ $(python_gen_cond_dep '
+ >=app-accessibility/brltty-5.0-r3[python,${PYTHON_MULTI_USEDEP}]
+ dev-libs/liblouis[python,${PYTHON_MULTI_USEDEP}]
+ ')
+ )
"
RDEPEND="${COMMON_DEPEND}
- >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
dev-libs/atk[introspection]
- >=dev-python/pyatspi-2.32[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pyatspi-2.32[${PYTHON_MULTI_USEDEP}]
+ dev-python/setproctitle[${PYTHON_MULTI_USEDEP}]
+ ')
x11-libs/libwnck:3[introspection]
x11-libs/pango[introspection]
"